Delete Cost Rate Time Cost

Deletes a time-based cost interval by its UUID within the current mandant.

Request

  • Method: DELETE

  • Path: /api/dynamic_pricing/cost_rate_time_cost/{uuid}

Path parameters

Name

Type

Description

uuid

string

UUID of the time cost interval to delete.

Example request

curl --location --request DELETE 'https://example.beenergised.cloud/api/dynamic_pricing/cost_rate_time_cost/<INTERVAL_UUID>' \
--header 'x-api-token: <your_token>'

Response (200)

{
  "status": "ok",
  "message": "Time cost deleted successfully"
}

Error responses

  • 400: Validation error.

{
  "status": "error",
  "message": "<validation message>"
}
  • 404: Interval not found.

{
  "status": "error",
  "message": "Cost rate interval not found"
}
  • 500: Generic server error.

{
  "status": "error",
  "message": "Internal Server Error"
}